package conf

type Config struct {
	ServerName        string
	Env               string
	LogLevel          string
	LogColorful       bool
	LogResponseLength int
	LogShowSql        bool

	//RedisAddr Redis conf
	RedisAddr string
	RedisPwd  string
	RedisDb   int

	//EsServerHttp
	EsServerHttp string

	//mysql
	MysqlConf MysqlConf
}

func BaseConfig(conf Config) {
	LogLevel = conf.LogLevel
	LogColorful = conf.LogColorful
	LogResponseLength = conf.LogResponseLength
	LogShowSql = conf.LogShowSql
	RedisAddr = conf.RedisAddr
	RedisPwd = conf.RedisPwd
	RedisDb = conf.RedisDb
	ServerName = conf.ServerName
	Env = conf.Env
	EsServerHttp = conf.EsServerHttp

	MySql = conf.MysqlConf
}

//Base conf
var ServerName = ""
var Env = ""

//log conf
var LogLevel = "DEBUG"
var LogColorful = false //日志是否开启彩色打印
var LogResponseLength = 10
var LogShowSql = true

//Redis conf
var RedisAddr = "to-chengdu-office.168cad.top:50001"
var RedisPwd = "testPassevnsoo567"
var RedisDb = 0

//ES conf
var EsServerHttp = "http://192.168.1.124:9200"

//Mysql conf
type MysqlConf struct {
	Host     string
	Port     int
	User     string
	Password string
}

var MySql = MysqlConf{}
