package es

import (
	"context"
	"fmt"
	"git.168cad.top/zhengqiuyun/rym-util/conf"
	"git.168cad.top/zhengqiuyun/rym-util/exception"
	"git.168cad.top/zhengqiuyun/rym-util/log"
	"github.com/olivere/elastic/v7"
	_log "log"
	"os"
)

var Client *elastic.Client

//初始化
func init() {
	host := conf.EsServerHttp
	var err error
	errorLog := _log.New(os.Stdout, "APP", _log.LstdFlags)
	Client, err = elastic.NewClient(elastic.SetErrorLog(errorLog), elastic.SetURL(host))
	if err != nil {
		exception.ThrowsErrS(fmt.Sprintf("ES连接失败：%s", err.Error()))
	}
	info, code, err := Client.Ping(host).Do(context.Background())
	if err != nil {
		panic(err)
	}
	log.Info(fmt.Sprintf("Elasticsearch connect %d", code))
	log.Info(fmt.Sprintf("Elasticsearch version %s", info.Version.Number))
}
